Package com.independentsoft.office.spreadsheet.styles

# Class TableStyleElement

java.lang.Object
com.independentsoft.office.spreadsheet.styles.TableStyleElement

public class TableStyleElement extends Object
The Class TableStyleElement.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableStyleElement()`
  Instantiates a new table style element.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableStyleElement`
  `clone()`
  `int`
  `getBandSize()`
  Gets the band size.
  `Format`
  `getFormat()`
  Gets the format.
  `int`
  `getFormatID()`
  Gets the format id.
  `TableStyleType`
  `getType()`
  Gets the type.
  `void`
  `setBandSize​(int bandSize)`
  Sets the band size.
  `void`
  `setFormat​(Format format)`
  Sets the format.
  `void`
  `setFormatID​(int formatID)`
  Sets the format id.
  `void`
  `setType​(TableStyleType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TableStyleElement

    public TableStyleElement()
    Instantiates a new table style element.

- ## Method Details

  - ### clone

    public TableStyleElement clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFormatID

    public int getFormatID()
    Gets the format id.
    Returns:
      the format id

  - ### setFormatID

    public void setFormatID​(int formatID)
    Sets the format id.
    Parameters:
      `formatID` - the new format id

  - ### getBandSize

    public int getBandSize()
    Gets the band size.
    Returns:
      the band size

  - ### setBandSize

    public void setBandSize​(int bandSize)
    Sets the band size.
    Parameters:
      `bandSize` - the new band size

  - ### getType

    public TableStyleType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(TableStyleType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getFormat

    public Format getFormat()
    Gets the format.
    Returns:
      the format

  - ### setFormat

    public void setFormat​(Format format)
    Sets the format.
    Parameters:
      `format` - the new format